Name:		xorriso
Version:	1.4.0
Release:	1
Summary:	ISO 9660 image manipulation tool
Group:		Applications/Archiving
License:	GPLv2 and GPL+ and LGPLv2+
URL:		http://www.gnu.org/software/xorriso/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	bzip2
BuildRequires:	libiconv >= 1.14-3
BuildRequires:	readline-devel >= 6.3-5
BuildRequires:	tk-devel >= 8.5.18-1
BuildRequires:	zlib-devel >= 1.2.3-7

Requires:	bzip2
Requires:	libiconv >= 1.14-3
Requires:	readline >= 6.3-5
Requires:	tk >= 8.5.18-1
Requires:	zlib >= 1.2.3-7

%description
xorriso is a program which maps file objects from POSIX compliant
filesystems into Rock Ridge enhanced ISO 9660 filesystems and allows
session-wise manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results to
optical media or to filesystem objects. Vice versa xorriso is able to 
restore file objects from ISO 9660 filesystems.


%prep
%setup -q
%patch0


%build
export CC="xlc_r -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
        %{_infodir}/dir 2>/dev/null || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT README doc 
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}.info.gz
/usr/bin/*


%changelog
* Tue May 19 2015 Michael Perzl <michael@perzl.org> - 1.4.0-1
- updated to version 1.4.0

* Mon Jun 30 2014 Michael Perzl <michael@perzl.org> - 1.3.8-1
- updated to version 1.3.8

* Wed Mar 19 2014 Michael Perzl <michael@perzl.org> - 1.3.6pl01-1
- updated to version 1.3.6pl01

* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 1.3.4-1
- updated to version 1.3.4

* Wed Aug 07 2013 Michael Perzl <michael@perzl.org> - 1.3.2-1
- updated to version 1.3.2

* Wed Jul 03 2013 Michael Perzl <michael@perzl.org> - 1.3.0-1
- updated to version 1.3.0

* Tue Mar 19 2013 Michael Perzl <michael@perzl.org> - 1.2.8-1
- updated to version 1.2.8

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.2.6-1
- updated to version 1.2.6

* Sat Jul 21 2012 Michael Perzl <michael@perzl.org> - 1.2.4-1
- updated to version 1.2.4

* Tue Apr 03 2012 Michael Perzl <michael@perzl.org> - 1.2.2-1
- updated to version 1.2.2

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Mon Nov 21 2011 Michael Perzl <michael@perzl.org> - 1.1.8-1
- updated to version 1.1.8

* Tue Sep 27 2011 Michael Perzl <michael@perzl.org> - 1.1.6-1
- updated to version 1.1.6

* Mon Aug 08 2011 Michael Perzl <michael@perzl.org> - 1.1.4-1
- updated to version 1.1.4

* Fri Jul 08 2011 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Sun Jun 19 2011 Michael Perzl <michael@perzl.org> - 1.1.0-1
- updated to version 1.1.0

* Thu Apr 14 2011 Michael Perzl <michael@perzl.org> - 1.0.8-1
- updated to version 1.0.8

* Sun Apr 10 2011 Michael Perzl <michael@perzl.org> - 1.0.6-1
- updated to version 1.0.6

* Thu Mar 10 2011 Michael Perzl <michael@perzl.org> - 1.0.4-1
- updated to version 1.0.4

* Fri Feb 25 2011 Michael Perzl <michael@perzl.org> - 1.0.2-1
- updated to version 1.0.2

* Mon Jan 31 2011 Michael Perzl <michael@perzl.org> - 1.0.0-1
- first version for AIX V5.1 and higher
